import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { d as defineCustomElement$1 } from './telia-vst2.js';

const teliaCardFrameCss = ".telia-card-frame{border:calc(0.1rem * var(--voca-rem-multiplier)) solid rgba(0, 0, 0, 0.15);border-radius:calc(0.8rem * var(--voca-rem-multiplier));background-color:#ffffff;box-shadow:0 calc(0.1rem * var(--voca-rem-multiplier)) calc(0.4rem * var(--voca-rem-multiplier)) rgba(0, 0, 0, 0.1);display:flex;flex-direction:column;height:100%;position:relative;box-sizing:border-box}.telia-card-frame--padded{padding:calc(1.6rem * var(--voca-rem-multiplier))}@media screen and (min-width: 37.5em){.telia-card-frame--padded{padding:calc(2.4rem * var(--voca-rem-multiplier))}}.telia-card-frame__content{height:100%;width:100%}";

const TeliaCardFrame = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    /** Setting for card padding */
    this.disablePadding = false;
    /** Tracking id is used to identify and count Component usage */
    this.dataTrackingId = 'telia-card-frame';
    this.componentClass = 'telia-card-frame';
  }
  render() {
    const classes = {
      [this.componentClass]: true,
      [`${this.componentClass}--padded`]: !this.disablePadding,
    };
    return (h("div", { class: classes }, h("telia-vst", { dataTrackingId: this.dataTrackingId }), h("div", { class: `${this.componentClass}__content` }, h("slot", null))));
  }
  static get style() { return teliaCardFrameCss; }
}, [1, "telia-card-frame", {
    "disablePadding": [4, "disable-padding"],
    "dataTestid": [1, "data-testid"]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["telia-card-frame", "telia-vst"];
  components.forEach(tagName => { switch (tagName) {
    case "telia-card-frame":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, TeliaCardFrame);
      }
      break;
    case "telia-vst":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}
defineCustomElement();

export { TeliaCardFrame as T, defineCustomElement as d };
